<?php
// ****************************************'
//  Le CASTEL-BTS SIO/ PROJET démonstration'
//  Programme: c_param.php                 '
//  Objet    : gestion des parametres      '
//  Client   : Bts SIO1                    '
//  Version  : 22.03                       '
//  Date     : 09 mars 2022 à 19H51        '
//  Auteur  : pascal-blain@wanadoo.fr      '
//*****************************************'

$action 	= $_REQUEST['action'];


switch($action) {
case 'voir':
	{
		include("vues/v_entete.php");
		$lesInfosProfil = $pdo->getInfosUtilisateur("*",$_SESSION['idUtilisateur']);
		include("vues/v_ficheProfil.php");
		break;
	}

//----------------------------------------- /MODIFICATION/

case 'modifier':

	{ 
		include("vues/v_entete.php");
		$infosParam = $pdo->getInfosParam($type, $valeur);
		include("vues/v_unParam.php");
		break;
	}

//----------------------------------------- VALIDATION MODIFICATION
case 'validerModifier':
	{ 
		if ($_REQUEST['zOk']=="OK") {$pdo->majParametre($type, $valeur, addslashes ($_REQUEST['zLibelle']), $_REQUEST['zTerritoire'], $_REQUEST['zDep'], $plancher, $plafond);}	
		header ('location: index.php?choixTraitement=param&action=voir&lstParam='.$type);
		break;
	}

	
default :
	{
		echo 'erreur d\'aiguillage !'.$action;
		break;
	}
}
?>